package base

import (
	"git.fsdpf.net/go/contracts/res_type"
)

type Menu struct {
	Uuid                   string                  `db:"uuid"`
	Id                     int                     `db:"id"`
	Pid                    int                     `db:"pid"`
	Type                   string                  `db:"type"`
	Name                   string                  `db:"name"`
	Icon                   string                  `db:"icon"`
	Widget                 string                  `db:"widget"`
	WidgetType             string                  `db:"widgetType"`
	WidgetProps            res_type.ResFieldByMap  `db:"widgetProps"`
	WidgetSetting          res_type.ResFieldByMap  `db:"widgetSetting"`
	WidgetContainerSetting res_type.ResFieldByMap  `db:"widgetContainerSetting"`
	Roles                  res_type.ResFieldByAnys `db:"roles"`
	Platform               string                  `db:"platform"`
	UpdatedAt              string                  `db:"updated_at"`
	CreatedAt              string                  `db:"created_at"`
}

type GetMenus func(platform string, roles ...string) []Menu
