package base

import (
	"git.fsdpf.net/go/contracts/res_type"
)

type Route struct {
	Uuid                   string                 `db:"uuid"`
	Name                   string                 `db:"name"`
	Uri                    string                 `db:"uri"`
	Layout                 string                 `db:"layout"`
	IsLogin                bool                   `db:"isLogin"`
	IsPhone                bool                   `db:"isPhone"`
	Type                   string                 `db:"type"`
	Component              string                 `db:"component"`
	WidgetProps            res_type.ResFieldByMap `db:"widgetProps"`
	WidgetSetting          res_type.ResFieldByMap `db:"widgetSetting"`
	WidgetContainerSetting res_type.ResFieldByMap `db:"widgetContainerSetting"`
	Exact                  bool                   `db:"exact"`
	Platform               string                 `db:"platform"`
	UpdatedAt              string                 `db:"updated_at"`
	CreatedAt              string                 `db:"created_at"`
}

// 前端路由
type GetRoutes func(platform string, roles ...string) []Route
